Bug 43492 - Update univention-heimdal to new heimdal in UCS-4.2
Update univention-heimdal to new heimdal in UCS-4.2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kerberos
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Philipp Hahn
Arvid Requate
: interim-2
Depends on: 43180
Blocks: 43501
  Show dependency treegraph
 
Reported: 2017-02-03 14:00 CET by Philipp Hahn
Modified: 2017-04-04 18:30 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2017-02-03 14:00:51 CET
+++ This bug was initially created as a clone of Bug #43180 +++
+++ This bug was initially created as a clone of Bug #41929 +++
+++ This bug was initially created as a clone of Bug #41608 +++

(In reply to Arvid Requate from Bug #43180 comment #3)
> The changelog of heimdal says that kadmin and ktutil have been moved to
> /usr/bin but /usr/lib/univention-directory-listener/system/keytab-member.py
> and /usr/lib/univention-directory-listener/system/keytab.py still use the
> old location. Either we revert the move or we need to fix the listener
> modules in univention-heimdal (e.g. via new bug).
> 
> univention-heimdal/univention-create-keytab and univention-heimdal/keytab.py
> call /usr/sbin/ktutil too.
Comment 1 Philipp Hahn univentionstaff 2017-02-03 14:57:15 CET
r76398 | Bug #43492 heimdal: Fix pyflakes
r76397 | Bug #43492 heimdal: More fixes
r76396 | Bug #43492 heimdal: Find heiumdal tools using $PATH
r76390 | Bug #43492 heimdal: Code cleanup
r76389 | Bug #43492 heimdal: Remove unused
r76388 | Bug #43492 heimdal: specific Exception
r76387 | Bug #43492 heimdal: Improve debugging
r76386 | Bug #43492 heimdal: build strings once
r76385 | Bug #43492 heimdal: readable LDAP filters
r76384 | Bug #43492 heimdal: Use listener UCR
r76383 | Bug #43492 heimdal: Fix calling heimdal tools

Package: univention-heimdal
Version: 10.0.0-2A~4.2.0.201702031419
Version: 10.0.0-3A~4.2.0.201702031452
Branch: ucs_4.2-0
Comment 2 Arvid Requate univentionstaff 2017-02-06 13:38:50 CET
Two points, the other changes look ok:

* r76384 causes a behavior change in the kerberos.py helper:

Before this commit the listener picked up changes of samba4/role immediately (see services/univention-samba4/96univention-samba4.inst).

Now, the listener would need to be restarted to pick up the change.

Same for server/role in keytab-member.py, though that's probably ok.


* r76387: introduces a new wording "k5tab" for the krb5 keytab, please use standard wording, like "krb5.keytab" in messages or krb5_keytab in constants/variable names.
Comment 3 Philipp Hahn univentionstaff 2017-02-06 14:29:34 CET
(In reply to Arvid Requate from comment #2)
> * r76384 causes a behavior change in the kerberos.py helper:
> 
> Before this commit the listener picked up changes of samba4/role immediately
> (see services/univention-samba4/96univention-samba4.inst).
> 
> Now, the listener would need to be restarted to pick up the change.
> 
> Same for server/role in keytab-member.py, though that's probably ok.Bug #43501
> * r76387: introduces a new wording "k5tab" for the krb5 keytab, please use
> standard wording, like "krb5.keytab" in messages or krb5_keytab in
> constants/variable names.

r76435 | Bug #43492 heimdal: Improve debug output

Package: univention-heimdal
Version: 10.0.0-4A~4.2.0.201702061424
Branch: ucs_4.2-0
Comment 4 Arvid Requate univentionstaff 2017-02-15 17:08:09 CET
Ok.
Comment 5 Stefan Gohmann univentionstaff 2017-04-04 18:30:10 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".